string File Reference
Technical Specifications » Library Fundamentals TS

Go to the source code of this file.

## Namespaces

namespace | std
namespace | std::experimental

## Macros

#define | _GLIBCXX_EXPERIMENTAL_STRING

## Typedefs

template<typename _CharT, typename _Traits = char_traits<_CharT>>
using | std::experimental::fundamentals_v2::pmr::basic_string
typedef basic_string< char > | std::experimental::fundamentals_v2::pmr::string
typedef basic_string< char16_t > | std::experimental::fundamentals_v2::pmr::u16string
typedef basic_string< char32_t > | std::experimental::fundamentals_v2::pmr::u32string
typedef basic_string< wchar_t > | std::experimental::fundamentals_v2::pmr::wstring

## Functions

template<typename _CharT, typename _Traits, typename _Alloc, typename _Up>
void | std::experimental::erase (basic_string< _CharT, _Traits, _Alloc > &__cont, const _Up &__value)
template<typename _CharT, typename _Traits, typename _Alloc, typename _Predicate>
void | std::experimental::erase_if (basic_string< _CharT, _Traits, _Alloc > &__cont, _Predicate __pred)

## Detailed Description

This is a TS C++ Library header.

Definition in file experimental/string.

## Macro Definition Documentation

## _GLIBCXX_EXPERIMENTAL_STRING

#define _GLIBCXX_EXPERIMENTAL_STRING

Definition at line 31 of file experimental/string.

## Typedef Documentation

## basic_string

template<typename _CharT, typename _Traits = char_traits<_CharT>>

using std::experimental::fundamentals_v2::pmr::basic_string

Definition at line 75 of file experimental/string.

## string

typedef basic_string<char> std::experimental::fundamentals_v2::pmr::string

Definition at line 80 of file experimental/string.

## u16string

typedef basic_string<char16_t> std::experimental::fundamentals_v2::pmr::u16string

Definition at line 84 of file experimental/string.

## u32string

typedef basic_string<char32_t> std::experimental::fundamentals_v2::pmr::u32string

Definition at line 85 of file experimental/string.

## wstring

typedef basic_string<wchar_t> std::experimental::fundamentals_v2::pmr::wstring

Definition at line 86 of file experimental/string.